 clc;
load options;
  
if deterministicI==0
    load steadyInitial c_SSinit
    Welf_SS                      = oo_.steady_state(strmatch('Welf',  M_.endo_names, 'exact')); %#ok<*MATCH3>
    correctionWelf               =  oo_.dr.ghs2(strmatch('Welf', M_.endo_names(oo_.dr.order_var,:), 'exact'));
    c_SS                         = exp(oo_.steady_state(strmatch('c',  M_.endo_names, 'exact')));
    WCsscons                     = c_SS/c_SSinit*100*(1 - exp((1-betaP)*(correctionWelf/2)));
    
    display('%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%')
    disp(['Welfare Cost Business Cycles                                         = ' num2str(WCsscons,'%.6f') ]);

            
    if reformI==1
        disp(['Change in Welfare Cost Business Cycles Relative to High Regulation   = ' num2str(WCsscons - 1.486168 ,'%.6f') ]);
        display('%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%')
        %% NOTE: THE NUMBER 1.486168 ABOVE IS THE WELFARE COST OF BUSINESS CYCLE UNDER HIGH REGULATION
        %%       IF YOU RECALIBRATE THE MODEL, YOU NEED TO UPDATE THIS NUMBER
    end

else
    
        display('WELFARE OUTCOMES INCLUDING TRANSITION')
        Welf_SSinit                      = (1/(1-betaP))*log(c_SSinit);
        
        horizonT = 12;% Needed to compute welfare from 0 to "horizon" quarters ahead 
        for iii=0:horizonT
             betavec(iii+1,1) = betaP^iii; %#ok<SAGROW>
        end
        
         Cons_Equivalent = 100*( exp( (1-betaP)*(Welf(2) - Welf_SSinit) )-1 ); 
         Util_finite     = log(c(2:2+horizonT));
         delta_aux       = Util_finite'*betavec ;
         delta_horizon   = 100*(  exp( ((1-betaP)/(1-betaP^(horizonT+1))*(delta_aux)) )/c_SSinit     - 1);
            
   
        disp([' % Consumption Equivalent                    = ' num2str(Cons_Equivalent,'%6f') ]);
        disp([' % Consumption Equivalent 0 - ' num2str(horizonT) ' quarters    = ' num2str(delta_horizon ,'%.6f') ]);
        disp([' % Consumption Equivalent ' num2str(horizonT) ' quarters to Inf = ' num2str(Cons_Equivalent - delta_horizon ,'%.6f') ]);
    
end

